# encoding: utf-8

'''
@author: vmmhypervisor
'''

from __future__ import with_statement

import os
from golib.logger import logger


def makeCss(output_dir_path, css_name):
    css_path = os.path.join(output_dir_path, css_name)

    logger.debug("make css: " + css_path)

    with open(css_path, "w") as fp:
        fp.writelines("""
        body { font-family:'ＭＳ　ゴシック', monospace; }
        
        h1, h2, h3, h4 { margin-top: 0.5em; margin-bottom: 0.1em; }
        
        h3 { margin-left: 0.5em; }
        h4 { margin-left: 1.5em; }
        
        body { counter-reset: part; }
        h2 { counter-reset: chapter; }
        h2:before {
        	content: counter(part) ". ";
        	counter-increment: part;
        }
        
        h3 { counter-reset: section; }
        h3:before {
        	content: counter(part) "." counter(chapter) ". ";
        	counter-increment: chapter;
        }
        
        h4 { counter-reset: subsection; }
        h4:before {
        	content: counter(part) "." counter(chapter) "." counter(section) ". ";
        	counter-increment: section;
        }
        
        table{
        	border: 1px solid #000000;
        	border-collapse:collapse;
        	border-spacing:0;
        	margin-left:2.5em;
        }
        
        th{
        	color: #FFFFFF;
        	#border-style: solid hidden;
        	border-width: 1px 0 0 0;
        	border-color: #000000;
        	background-color: #404040;
        	padding: 4px;
        	padding-left: 6px;
        	padding-right: 6px;
        }
        
        td{
        	color: #000000;
        	#border-style: solid hidden;
        	border-width: 1px 0 0 0;
        	border-color: #000000;
        	padding: 4px;
        	padding-left: 6px;
        	padding-right: 6px;
        }
        
        tr:nth-child(even) {
        	background-color: #f4f4f4;
        }
        
        tr:nth-child(5n+1) {
        	border-bottom: 2px solid #444444;
        }
        """)

    return css_path
