# encoding: utf-8

'''
@author: vmmhypervisor

:required:
    https://pypi.python.org/pypi/pytest
'''

import os

import pytest

import golib
from golib.GGPlotWrapper import *


@pytest.fixture
def sys_wrapper():
    return golib.syswrapper.SystemWrapper()

TEST_DIR_PATH = os.path.dirname(os.path.realpath(__file__))


class Test_getEvenBreaks:

    @pytest.mark.parametrize(["value", "expected"], [
        [
            [0, 10, 10, True],
            [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10],
        ],
        [
            [0, 10, 2, True],
            [0, 5, 10],
        ],
        [
            [-5, 5, 10, True],
            [-5, -4, -3, -2, -1, 0, 1, 2, 3, 4, 5],
        ],
        [
            [0, 10, 10, False],
            [1, 2, 3, 4, 5, 6, 7, 8, 9],
        ],
        [
            [0, 10, 2, False],
            [5, ],
        ],
    ])
    def test_normal(self, value, expected):
        assert ScaleBreaks._ScaleBreaks__getEvenBreaks(*value) == expected

    @pytest.mark.parametrize(["value", "expected"], [
        [None, TypeError],
        [
            [None, 10, 2, True],
            TypeError
        ],
        [
            [0, None, 2, True],
            TypeError
        ],
        [
            [0, 10, None, True],
            TypeError
        ],
    ])
    def test_exception(self, value, expected):
        with pytest.raises(expected):
            assert ScaleBreaks._ScaleBreaks__getEvenBreaks(value)


class Test_getMinPower:

    @pytest.mark.parametrize(["value", "expected"], [
        [[20, 10], 1],
        [[2, 10], 0],
        [[0.2, 10], -1],
        [[-0.2, 10], 0],
        [[-2, 10], 1],
        [[-20, 10], 2],
    ])
    def test_normal(self, value, expected):
        assert ScaleBreaks._ScaleBreaks__getLimitMinPower(*value) == expected


"""
class Test_adjustLimitMaxY:
    @pytest.mark.parametrize(["value", "expected"], [
        [
            [0, 10, 10, True],
            [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10],
        ],
    ])
    def test_normal(self, value, expected):
        assert ScaleBreaks._ScaleBreaks__adjustLimitMaxY(*value) == expected
"""

"""
class Test_:
    @pytest.mark.parametrize(["value", "expected"], [
        [, ],
    ])
    def test_normal(self, value, expected):
        assert func(value) == expected
    
    @pytest.mark.parametrize(["value", "expected"], [
        [None, TypeError],
    ])
    def test_exception(self, value, expected):
        with pytest.raises(expected):
            assert func(value)
"""
